Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
[Java] Class GroovyPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              groovy.io.GroovyPrintWriter

    public class GroovyPrintWriter
    extends PrintWriter

A PrintWriter that outputs objects in Groovy style. That means print(Object) uses InvokerHelper.toString(Object) to produce the same results as Writer.print(Object).

Authors:
  Jim White

Since:
  1.6

Constructor Summary
`GroovyPrintWriter(File file)`
`GroovyPrintWriter(File file, String csn)`
`GroovyPrintWriter(Writer out)`
`GroovyPrintWriter(Writer out, boolean autoflush)`
`GroovyPrintWriter(OutputStream out)`
`GroovyPrintWriter(OutputStream out, boolean autoflush)`
`GroovyPrintWriter(String filename)`
`GroovyPrintWriter(String filename, String csn)`

Method Summary
`void` | `print(Object x)`
`void` | `println(Object x)`

Methods inherited from class PrintWriter
println, println, println, println, println, println, println, println, println, println, append, append, append, append, append, append, append, append, append, format, format, write, write, write, write, write, print, print, print, print, print, print, print, print, print, flush, close, checkError, printf, printf, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Writer
append, append, append, append, append, append, write, write, write, write, write, flush, close, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyPrintWriter

    public GroovyPrintWriter(File file)

### GroovyPrintWriter

    public GroovyPrintWriter(File file, String csn)

### GroovyPrintWriter

    public GroovyPrintWriter(Writer out)

### GroovyPrintWriter

    public GroovyPrintWriter(Writer out, boolean autoflush)

### GroovyPrintWriter

    public GroovyPrintWriter(OutputStream out)

### GroovyPrintWriter

    public GroovyPrintWriter(OutputStream out, boolean autoflush)

### GroovyPrintWriter

    public GroovyPrintWriter(String filename)

### GroovyPrintWriter

    public GroovyPrintWriter(String filename, String csn)

Method Detail

### print

    public void print(Object x)

### println

    public void println(Object x)

Copyright © 2003-2010 The Codehaus. All rights reserved.